stages:
  - snyk
build:
  stage: snyk
  image: python:latest
  script:
    # build image
    # - docker build -t my-fast-api:latest . 

    # install deps
    - pip install -r requirements.txt

    # install and authenticate snyk
    - curl -sL https://deb.nodesource.com/setup_14.x | bash - 
    - apt-get install nodejs
    - npm install -g snyk 
    - snyk auth $SNYK_TOKEN 

    # Run the test
    # - snyk container test my-fast-api:latest
    - snyk test
